Package com.logicaldoc.core.conversion

# Class PstConverter

java.lang.Object
com.logicaldoc.core.conversion.AbstractFormatConverter
com.logicaldoc.core.conversion.PstConverter

All Implemented Interfaces:
  `FormatConverter`

public class PstConverter extends AbstractFormatConverter
Converts a PST file in it's listing

Since:
  8.5.5
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`PstConverter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`internalConvert(String sid, Document document, File src, File dest)`

### Methods inherited from class com.logicaldoc.core.conversion.AbstractFormatConverter

`convert, convert, equals, getExtension, getParameter, getParameterNames, getParameters, hashCode, isEnabled, loadParameters, setEnabled`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PstConverter

public PstConverter()

## Method Details

### internalConvert

public void internalConvert(String sid, Document document, File src, File dest) throws IOException

Throws:
  `IOException`